API documentation

List leak findings

Leaks found for watched assets: asset, date, source, severity. Secrets are masked.

GET/v1/watch/findings
GETList leak findings
curl -X GET "https://api.darkradar.com/api/public/v1/watch/findings" \
  -H "x-api-key: $DARKRADAR_API_KEY"
Response

Success

{
  "success": true,
  "data": {
    "items": [
      {
        "id": "64b1f0c2a9e4d21f8c3b9a30",
        "status": "new",
        "severity": "high",
        "source": "DarkRadar",
        "exposedDataTypes": [
          "password",
          "email"
        ],
        "assetId": "64b1f0c2a9e4d21f8c3b9a20",
        "assetType": "email",
        "assetValue": "[email protected]",
        "leakedSecretMasked": "Ya******23",
        "contentLocked": false,
        "firstSeenAt": "2026-09-10T00:00:00.000Z",
        "detectedAt": "2026-09-12T06:00:00.000Z",
        "details": {
          "computerName": "DESKTOP-***",
          "stealerFamily": "Lumma",
          "operatingSystem": "Windows 11",
          "country": "TR"
        }
      }
    ],
    "total": 1,
    "page": 1,
    "pageSize": 50,
    "counts": {
      "new": 1,
      "reviewing": 0,
      "closed": 0,
      "all": 1
    }
  }
}

Access

Scopewatch:read
Plan entitlementintel_watch

Query parameters

FieldsValues
status · string · optionalFilter by status · Values: new, reviewing, resolved, closed · Example: new
assetId · string · optionalFilter by asset · Example: 64b1f0c2a9e4d21f8c3b9a20
from · string · optionalFrom date (ISO 8601) · Example: 2026-09-01
to · string · optionalTo date (ISO 8601) · Example: 2026-09-18
page · integer · optionalPage number · Example: 1
pageSize · integer · optionalResults per page · Example: 50
cursor · string · optionalOpaque next-page cursor

Responses

200Success
400Invalid request (malformed id, missing or invalid field)
401Key missing, invalid, expired or revoked
403Insufficient scope, no API access in plan, or product not enabled
404Record not found or not owned by this key’s firm
408The request exceeded its maximum response time
429Rate limit exceeded; retry after a minute

Response limits

Page sizepageSize · default 20 · max 200
Rate limit500 requests per 15 min · per IP

Was this page helpful?